#include <unistd.h>
#include <stdlib.h>
#include <stdio.h>

void usage (void)
{
	fprintf(stderr, "usage: usleep microseconds\n");
	exit(1);
}

int main (int argc, char *argv[])
{
	long long usec;
	char dummy;

	if (argc != 2) usage();
	if (sscanf(argv[1], "%lld%c", &usec, &dummy) != 1) usage();

	fprintf(stderr, "warning: `usleep %s' is obsolete, use `sleep %f'\n", argv[1], (double)usec/1000000);

	return usleep(usec);
}
